mset ds exploit wont launch rxtools. Succefully downgraded to 4.x mset (help please!)

Discussion in '3DS - Flashcards & Custom Firmwares' started by 3dshaxnoobX, Oct 6, 2015.

  1. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    So the last couple days I decided I wanted to mod my 3ds. Keep in mind i havent followed the 3ds scene at all so I had to read up on everthing in the last 48hrs, have been reading non stop trying to piece together all the cryptic and terrible guides and information available on various sites. I think I now have a basic understanding of what needs to be done. From my understanding everything I want to do should be doable since I have a firmware under 9.2.

    My goal...

    -to quickly launch into "rx mode" and have a large collection of cias installed, can play all the latest games,can easily install new games
    -dont care about accessing the eshop or doing any other fancy cfw stuff.

    I have...

    -an original teal 3ds (non XL) with 5.1.0-11U firmware
    -3ds compatible ds flashcart
    -32GB sd card
    -browser exploit works, I have successfully launched gateway and rxtools via this method.

    basically while I waited for my 32GB sd card to arrive (just received it) I have been toying around seeing what works and sorting out how the entire process will go down, before I do my "real install" on my 32GB sd card (tinkering has been done on stock 2GB sdcard to this point). My real install will happen once everyone in this thread successfully helps me take care of my current snags (so this thread is critical).So far my understanding of the process is this...

    1. launch gateway launcher via the browser (successful)
    2. create a backup of system nand and then format emunand (successful)
    3. put the 3 rxtools files on root on the sd card [rxtools.dat,slot0x25keyx.bin,firmware.bin,] and the 2 correct fbis files (successful)
    4.launch rxtools via the browser and install the fbi cia installer over the health app (successful)

    now things get a little coudy for me...

    -the fbi installer is suppose to be installed to the emunand only and not sysnand? and this tool will be all I need to install cias of any kind (or does it only work on official cias)? also I tried 2 small test cias, they installed fine but neither worked. excitebike 3d classics launches but goes to a black screen, and the AVGN game get stuck on the 3ds wavy load screen. I figured this is because I havent updated my emunand yet(?) but thought the excitebike would work in "rx mode" because I know it could be played on firmware 5.1.0 that I have, so I have some doubt about cias even working since I have yet to successfully play one. Im just hoping once everything is setup (emunand updated) everything will work.

    -I need to be 100% clear on this. You must update the emunand via by downloading it directly from nintendo through system settings? and must launch emunand in rxmode via rxtools and only update when the system settings say "RX3D 5.1.0-11U"?? This seems crazy but thats what I keep reading, So the latest nintendo firmware still works via this method? This is still the correct method to upgrade emunand and is safe as long as the settings say rx3d? Its just scary that it could potentially update my real nand and be locked out of cfw.

    -now the big thing thats driving me crazy (and the main reason I created this topic) I cant get the mset ds profile to launch rxtools and its driving me crazy!!! Here is what I did so far, so hopefully somebody can tell my why its not working...

    -ok im on 5.1 firmware, I read that the ds profile exploit only works with 4.X or 6.X

    -I read I only have to downgrade the mset part of the sysnand and not the entire firmware.

    -I got the msetdg.bin USA 4.X file and put it on the root of the sd card. Launched rxtools via browser and successfully found the msetdg.bin and downgraded! Now whenever I try to re-run the patch, rxtools says "mset already exploitable!" so I think great it but have installed fine.

    -I then take the rxinstaller.nds file from my rxtools 2.6 package, I put it on my ds 3ds flashcard. I install the 4.X patch, and it says successfully installed!

    -I then make sure all the rxtools files are still on the root of the sd card, I goto the ds profile and its crashes like its suppouse to... but then it never loads rxtools!! it crashes back to the home menu and says an error has occured and menu must be restarted!

    I have no idea how to fix this and have tried several versions of rxtools.dat and rxinstaller.nds

    Anyone have any ideas what the problem is? I've been trying to figure this out for hours and not getting anywhere. I'll be refreshing the page non stop so dont be afraid to post whenever, please point out anything I said that im doing wrong and help me do it properly!

    -thanks
     
  2. sweatbox

    sweatbox GBAtemp Regular

    Member
    105
    29
    Sep 14, 2009
    Germany
    Hi there, have you backup the nand.bin?
    If so, nothing bad can happen.
    On 5.1 you have nothing won -no new encryption nor themes - so you can downgrade with the gateway menu to 4.X. After downgrading the hole system make an other backup of nand and save it on the pc.
    The nds now have to be fine too.

    The emunand should still be on 5.1 so if you see 5.1 in system settings you should be fine to update through the system menu.

    Regards
    Sweatbox
    (sorry for formation errors wrote it with mobile)
     
    Zidapi likes this.
  3. leerz

    leerz GBAtemp Advanced Fan

    Member
    528
    133
    Jan 11, 2015
    Makati
    excitebike 3d classics AVGN afaik are both 3dsware games.
     
  4. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    So you think I must downgrade to 4.5? I have no idea how to go about this or where to get the files, also I didnt want to risk downgrading unless I really need to. I didnt care what the system nand was at as long as emunad will be updated.

    so you are saying 3dsware games cant work on cfw?
     
  5. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    well I solved the rxtools not booting from ds profile problem. It turned out the shortcut was looking for the path "rxtools>sys>code.bin" I thought it was looking for the rxtools.dat on the root like it needed for the browser method. I figured this out by looking at the latest nightly rxtools and noticed it had a different layout with no rxtools.dat in the root.

    Is using the latest nightly rxtools safe? Also it says "with pasta" what does the pasta element mean? and will using this version of rxtools be safe to update the emunand with?

    says "RX-E 5.1.0-11U" in settings now.
     
    Last edited by 3dshaxnoobX, Oct 6, 2015
    Margen67 likes this.
  6. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    Well this is just great. downgrading the mset must have screw something up because the gateway launcher.dat no longer works through the browser method. Meaning I have no way to create my emunand on my new 32gb sd card. It was working 100% of time before I starting working on getting the mset downgraded. Anyone have any ideas why I cant use the gateway launcher now?

    I clear my cookies and goto the same bookmark I've been using and it just crashes and goes back to the home menu.
     
  7. BMO

    BMO GBAtemp Regular

    Member
    147
    61
    Jan 10, 2015
    United States
    Try mirrors. 3ds.reboot.ms is one
     
  8. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,080
    5,154
    Mar 17, 2010
    Norway
    Alola
    Last edited by The Real Jdbye, Oct 7, 2015
  9. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    I solved all my old problems, now just need these questions answered answered...

    1. Why are some of the icons black on emunand?

    2. Do I do the dbs curruption trick on both the systemnand and emunand to allow cias to install?

    3. Do I remove the sd card when updating the emunand or leave it in when updating?
     
  10. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,093
    Dec 11, 2014
    Portugal
    About the number 3, given that emunand is stored in the SD card, it might not turn out that well if you remove it when updating. Just saying...
     
  11. 3dshaxnoobX
    OP

    3dshaxnoobX Member

    Newcomer
    25
    2
    Oct 5, 2015
    United States
    oh right I didnt think about that lol, forgot since its invisible on the sdcard. they dont call me the 3dshaxnoob for nothing.